This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 858781 - CVE-2012-3451 jbossws-cxf, apache-cxf: SOAPAction spoofing on document literal web services [fedora-17]
CVE-2012-3451 jbossws-cxf, apache-cxf: SOAPAction spoofing on document litera...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cxf (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patryk Obara
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3451
  Show dependency treegraph
 
Reported: 2012-09-19 12:42 EDT by Jan Lieskovsky
Modified: 2013-03-13 00:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:34:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-09-19 12:42:53 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=851896

fedora-17 tracking bug for jbossws-cxf: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Marek Goldmann 2012-09-20 02:48:50 EDT
Changing component to cxf.
Comment 2 Jan Lieskovsky 2012-09-20 03:53:42 EDT
(In reply to comment #1)
> Changing component to cxf.

Thank you, Marek. So it is enough to correct this issue in 'cxf' package, and no update for jbossws-cxf one needed? (IOW jbossws-cxf being just 'cxf' stack for JBoss applications?)

Let me know (if jbossws-cxf one would still be needed, I can create one).

Thank you, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team
Comment 3 Marek Goldmann 2012-09-20 04:02:53 EDT
Hi Jan,

Since in Fedora we do not bundle anything with jbossws-cxf (unline upstream binary packages) the correct way to create CVE's related to Apache CXF is to use 'cxf' component, because this is the only package in Fedora that contains the Apache CXF code.

--Marek
Comment 4 Fedora Update System 2012-10-03 08:26:08 EDT
cxf-2.4.9-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cxf-2.4.9-2.fc17
Comment 5 Fedora Update System 2012-10-03 08:26:36 EDT
cxf-2.4.9-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cxf-2.4.9-2.fc18
Comment 6 Fedora Update System 2012-10-03 13:04:23 EDT
Package cxf-2.4.9-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cxf-2.4.9-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15293/cxf-2.4.9-2.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 10:34:59 EST
cxf-2.4.9-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.